Bug 151566 - minor python typo + fix for "up2date -h" error
minor python typo + fix for "up2date -h" error
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-19 16:33 EST by Curtis Doty
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-29 10:02:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Curtis Doty 2005-03-19 16:33:45 EST
I know this is a trivial readability issue. But it caused me enough
head-scratching that I had to fix it.

--- up2date-4.3.47-5    2004-10-20 11:35:36.000000000 -0700
+++ up2date     2005-03-18 23:26:29.028966373 -0800
@@ -1057,9 +1057,9 @@
         else:
             missingPackages.append(filename)
 
-    for packages in packages:
+    for package in packages:
         try:
-            up2date.getPackage(packages,
+            up2date.getPackage(package,
                                msgCallback = wrapperUtils.printit,
                                progressCallback = wrapperUtils.percent,
                                onlySource = source)
Comment 1 Wei-Lun Chao 2005-04-08 03:10:18 EDT
  File "/usr/sbin/up2date", line 89, in print_help
    OptionParser.print_help(self, file)
should be
    OptionParser.print_help(self, filed)
Comment 2 Matthew Miller 2006-07-10 17:50:25 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 3 John Thacker 2006-10-29 10:02:41 EST
Closing per lack of response to previous comment.  If this still occurs on FC3
or FC4 and is a security issue, please assign to Fedora Legacy and the
appropriate version.  The bug could also be filed against RHEL if it is relevant
there.

up2date has been replaced by pirut and pup in FC5 and FC6, the still fully
supported versions of Fedora Core, so this bug will not be fixed unless it is a
security issue.
Comment 4 Curtis Doty 2006-10-29 18:16:25 EST
"Closing for lack of response." Humbug!

Maybe in his speech Larry Ellison should have added, "We'll actually *read* the
bug reports, too."

Note You need to log in before you can comment on or make changes to this bug.